summaryrefslogtreecommitdiffstats
path: root/desktop/pidgin-window_merge
diff options
context:
space:
mode:
author chinarulezzz <s.alex08@mail.ru>2016-11-14 07:33:20 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-11-14 07:33:20 +0700
commit3a3d7d6e141294ef633f048ba64acf9658ab3a67 (patch)
treeea04f03b76d6e649dd58436cb347e63e9108c126 /desktop/pidgin-window_merge
parente4a334fd7f15dcd081b735601157749384b79f38 (diff)
downloadslackbuilds-3a3d7d6e141294ef633f048ba64acf9658ab3a67.tar.gz
slackbuilds-3a3d7d6e141294ef633f048ba64acf9658ab3a67.tar.xz
desktop/pidgin-window_merge: Added (Window Merge for Pidgin).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop/pidgin-window_merge')
-rw-r--r--desktop/pidgin-window_merge/README5
-rw-r--r--desktop/pidgin-window_merge/pidgin-window_merge.SlackBuild98
-rw-r--r--desktop/pidgin-window_merge/pidgin-window_merge.info10
-rw-r--r--desktop/pidgin-window_merge/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/desktop/pidgin-window_merge/README b/desktop/pidgin-window_merge/README
new file mode 100644
index 0000000000..bb8f2124af
--- /dev/null
+++ b/desktop/pidgin-window_merge/README
@@ -0,0 +1,5 @@
+pidgin-window_merge (Window Merge for Pidgin)
+
+Window Merge is a Pidgin plugin that merges a conversation window with
+the Buddy List window. It can be used to achieve a rudimentary
+"single window mode" for Pidgin.
diff --git a/desktop/pidgin-window_merge/pidgin-window_merge.SlackBuild b/desktop/pidgin-window_merge/pidgin-window_merge.SlackBuild
new file mode 100644
index 0000000000..a17c94a796
--- /dev/null
+++ b/desktop/pidgin-window_merge/pidgin-window_merge.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for Window Merge for Pidgin
+#
+# Copyright 2016 chinarulezzz <s.alex08@mail.ru>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pidgin-window_merge
+VERSION=${VERSION:-0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i586 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf window_merge-$VERSION
+tar xvf $CWD/window_merge-$VERSION.tar.gz || tar xvf $CWD/$VERSION.tar.gz
+cd window_merge-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+autoreconf -fi
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS BUGS COPYING ChangeLog NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/pidgin-window_merge/pidgin-window_merge.info b/desktop/pidgin-window_merge/pidgin-window_merge.info
new file mode 100644
index 0000000000..1fbd6011ad
--- /dev/null
+++ b/desktop/pidgin-window_merge/pidgin-window_merge.info
@@ -0,0 +1,10 @@
+PRGNAM="pidgin-window_merge"
+VERSION="0.3"
+HOMEPAGE="https://github.com/dm0-/window_merge"
+DOWNLOAD="https://github.com/downloads/dm0-/window_merge/window_merge-0.3.tar.gz"
+MD5SUM="f8cd52ea39cdd8eb618b2db2cc1ee1fe"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="chinarulezzz"
+EMAIL="s.alex08@mail.ru"
diff --git a/desktop/pidgin-window_merge/slack-desc b/desktop/pidgin-window_merge/slack-desc
new file mode 100644
index 0000000000..d1c4a5aa0c
--- /dev/null
+++ b/desktop/pidgin-window_merge/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler--------------------------------------------------------|
+pidgin-skypeweb: pidgin-window_merge (Window Merge for Pidgin)
+pidgin-skypeweb:
+pidgin-skypeweb: Window Merge is a Pidgin plugin that merges a conversation window
+pidgin-skypeweb: with the Buddy List window. It can be used to archieve a rudimentary
+pidgin-skypeweb: "single window mode" for Pidgin.
+pidgin-skypeweb:
+pidgin-skypeweb:
+pidgin-skypeweb: Homepage: https://github.com/dm0-/window_merge
+pidgin-skypeweb:
+pidgin-skypeweb:
+pidgin-skypeweb: